Skip to main content
GET
/
api
/
contacts
List contacts
curl --request GET \
  --url https://api.recepta.ai/api/v1/api/contacts \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "message": "Clients retrieved successfully",
  "data": {
    "clients": [
      {
        "id": "697929d5ebccbcca5cdaf13b",
        "firstName": "Jane",
        "lastName": "Doe",
        "fullName": "Jane Doe",
        "email": "jane@example.com",
        "phone": "+15551234567",
        "source": "API",
        "tags": [
          "lead",
          "website"
        ],
        "status": "active",
        "notes": "Interested in premium plan",
        "company_name": "Acme Corp",
        "address": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zipCode": "<string>",
        "country": "<string>",
        "customFields": {
          "referralSource": "google"
        },
        "isActive": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "total": 142,
      "page": 1,
      "limit": 20,
      "totalPages": 8
    }
  }
}

Authorizations

x-api-key
string
header
required

Your Recepta API key (starts with rcp_)

Query Parameters

page
integer
default:1

Page number

limit
integer
default:50

Results per page (max 100)

Search by name, email, or phone

source
enum<string>

Filter by source

Available options:
MANUAL,
FACEBOOK,
CSV,
API,
CALL
tags
string

Filter by tag

Response

200 - application/json

Contacts retrieved

success
boolean
Example:

true

message
string
Example:

"Clients retrieved successfully"

data
object